GDBserver

Macros | Functions
stdlib.h File Reference
`#include <stddef.h>`

Go to the source code of this file.

## Macros
#define | _GL_STDLIB_H
#define | _GL_ATTRIBUTE_PURE /* empty */
#define | _Noreturn
#define | _GL_CXXDEFS_H
#define | _GL_BEGIN_NAMESPACE
#define | _GL_END_NAMESPACE
#define | _GL_EXTERN_C extern
#define | _GL_FUNCDECL_RPL(func, rettype, parameters_and_attributes) _GL_FUNCDECL_RPL_1 (rpl_##func, rettype, parameters_and_attributes)
#define | _GL_FUNCDECL_RPL_1(rpl_func, rettype, parameters_and_attributes) _GL_EXTERN_C rettype rpl_func parameters_and_attributes
#define | _GL_FUNCDECL_SYS(func, rettype, parameters_and_attributes) _GL_EXTERN_C rettype func parameters_and_attributes
#define | _GL_CXXALIAS_RPL(func, rettype, parameters) _GL_CXXALIAS_RPL_1 (func, rpl_##func, rettype, parameters)
#define | _GL_CXXALIAS_RPL_1(func, rpl_func, rettype, parameters) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIAS_RPL_CAST_1(func, rpl_func, rettype, parameters) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIAS_SYS(func, rettype, parameters) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIAS_SYS_CAST(func, rettype, parameters) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIAS_SYS_CAST2(func, rettype, parameters, rettype2, parameters2) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIASWARN(func) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIASWARN1(func, rettype, parameters_and_attributes) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_ARG_NONNULL(params)
#define | _GL_WARN_ON_USE(function, message) _GL_WARN_EXTERN_C int _gl_warn_on_use
#define | _GL_WARN_ON_USE_CXX(function, rettype, parameters_and_attributes, msg) _GL_WARN_EXTERN_C int _gl_warn_on_use
#define | _GL_WARN_EXTERN_C extern
#define | EXIT_SUCCESS 0
#define | EXIT_FAILURE 1

## Functions
| _GL_CXXALIAS_SYS (canonicalize_file_name, char *,(const char *name))
| _GL_CXXALIASWARN (canonicalize_file_name)
| _GL_CXXALIAS_SYS (malloc, void *,(size_t size))
| _GL_CXXALIASWARN (malloc)
| _GL_CXXALIAS_SYS (realloc, void *,(void *ptr, size_t size))
| _GL_CXXALIASWARN (realloc)
| _GL_CXXALIAS_SYS (realpath, char *,(const char *name, char *resolved))
| _GL_CXXALIASWARN (realpath)
| _GL_CXXALIAS_SYS (setenv, int,(const char *name, const char *value, int replace))
| _GL_CXXALIASWARN (setenv)
| _GL_CXXALIAS_SYS (unsetenv, int,(const char *name))
| _GL_CXXALIASWARN (unsetenv)

## Macro Definition Documentation

## ◆ _GL_ARG_NONNULL

#define _GL_ARG_NONNULL | ( |  | params | ) |

Definition at line 419 of file stdlib.h.

## ◆ _GL_ATTRIBUTE_PURE

#define _GL_ATTRIBUTE_PURE /* empty */

Definition at line 104 of file stdlib.h.

## ◆ _GL_BEGIN_NAMESPACE

#define _GL_BEGIN_NAMESPACE

Definition at line 128 of file stdlib.h.

## ◆ _GL_CXXALIAS_RPL

#define _GL_CXXALIAS_RPL | ( |  | func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_CXXALIAS_RPL_1 (func, rpl_##func, rettype, parameters)

Definition at line 230 of file stdlib.h.

## ◆ _GL_CXXALIAS_RPL_1

#define _GL_CXXALIAS_RPL_1 | ( |  | func,
|  |  | rpl_func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 245 of file stdlib.h.

## ◆ _GL_CXXALIAS_RPL_CAST_1

#define _GL_CXXALIAS_RPL_CAST_1 | ( |  | func,
|  |  | rpl_func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 268 of file stdlib.h.

## ◆ _GL_CXXALIAS_SYS

#define _GL_CXXALIAS_SYS | ( |  | func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 295 of file stdlib.h.

## ◆ _GL_CXXALIAS_SYS_CAST

#define _GL_CXXALIAS_SYS_CAST | ( |  | func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 318 of file stdlib.h.

## ◆ _GL_CXXALIAS_SYS_CAST2

#define _GL_CXXALIAS_SYS_CAST2 | ( |  | func,
|  |  | rettype,
|  |  | parameters,
|  |  | rettype2,
|  |  | parameters2
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 349 of file stdlib.h.

## ◆ _GL_CXXALIASWARN

#define _GL_CXXALIASWARN | ( |  | func | ) | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 377 of file stdlib.h.

## ◆ _GL_CXXALIASWARN1

#define _GL_CXXALIASWARN1 | ( |  | func,
|  |  | rettype,
|  |  | parameters_and_attributes
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 405 of file stdlib.h.

## ◆ _GL_CXXDEFS_H

#define _GL_CXXDEFS_H

Definition at line 121 of file stdlib.h.

## ◆ _GL_END_NAMESPACE

#define _GL_END_NAMESPACE

Definition at line 129 of file stdlib.h.

## ◆ _GL_EXTERN_C

#define _GL_EXTERN_C extern

Definition at line 196 of file stdlib.h.

## ◆ _GL_FUNCDECL_RPL

#define _GL_FUNCDECL_RPL | ( |  | func,
|  |  | rettype,
|  |  | parameters_and_attributes
| ) |  | _GL_FUNCDECL_RPL_1 (rpl_##func, rettype, parameters_and_attributes)

Definition at line 206 of file stdlib.h.

## ◆ _GL_FUNCDECL_RPL_1

#define _GL_FUNCDECL_RPL_1 | ( |  | rpl_func,
|  |  | rettype,
|  |  | parameters_and_attributes
| ) |  | _GL_EXTERN_C rettype rpl_func parameters_and_attributes

Definition at line 208 of file stdlib.h.

## ◆ _GL_FUNCDECL_SYS

#define _GL_FUNCDECL_SYS | ( |  | func,
|  |  | rettype,
|  |  | parameters_and_attributes
| ) |  | _GL_EXTERN_C rettype func parameters_and_attributes

Definition at line 218 of file stdlib.h.

## ◆ _GL_STDLIB_H

#define _GL_STDLIB_H

Definition at line 39 of file stdlib.h.

## ◆ _GL_WARN_EXTERN_C

#define _GL_WARN_EXTERN_C extern

Definition at line 467 of file stdlib.h.

## ◆ _GL_WARN_ON_USE

#define _GL_WARN_ON_USE | ( |  | function,
|  |  | message
| ) |  | _GL_WARN_EXTERN_C int _gl_warn_on_use

Definition at line 435 of file stdlib.h.

## ◆ _GL_WARN_ON_USE_CXX

#define _GL_WARN_ON_USE_CXX | ( |  | function,
|  |  | rettype,
|  |  | parameters_and_attributes,
|  |  | msg
| ) |  | _GL_WARN_EXTERN_C int _gl_warn_on_use

Definition at line 456 of file stdlib.h.

## ◆ _Noreturn

#define _Noreturn

Definition at line 115 of file stdlib.h.

## ◆ EXIT_FAILURE

#define EXIT_FAILURE 1

Definition at line 479 of file stdlib.h.

## ◆ EXIT_SUCCESS

#define EXIT_SUCCESS 0

Definition at line 474 of file stdlib.h.

## Function Documentation

## ◆ _GL_CXXALIAS_SYS() [1/6]

_GL_CXXALIAS_SYS | ( | canonicalize_file_name | ,
|  | char * | ,
|  | (const char *name) |
| ) |  |

## ◆ _GL_CXXALIAS_SYS() [2/6]

_GL_CXXALIAS_SYS | ( | malloc | ,
|  | void * | ,
|  | (size_t size) |
| ) |  |

## ◆ _GL_CXXALIAS_SYS() [3/6]

_GL_CXXALIAS_SYS | ( | realloc | ,
|  | void * | ,
|  | (void *ptr, size_t size) |
| ) |  |

## ◆ _GL_CXXALIAS_SYS() [4/6]

_GL_CXXALIAS_SYS | ( | realpath | ,
|  | char * | ,
|  | (const char *name, char *resolved) |
| ) |  |

## ◆ _GL_CXXALIAS_SYS() [5/6]

_GL_CXXALIAS_SYS | ( | setenv | ,
|  | int | ,
|  | (const char *name, const char *value, int replace) |
| ) |  |

## ◆ _GL_CXXALIAS_SYS() [6/6]

_GL_CXXALIAS_SYS | ( | unsetenv | ,
|  | int | ,
|  | (const char *name) |
| ) |  |

## ◆ _GL_CXXALIASWARN() [1/6]

_GL_CXXALIASWARN | ( | canonicalize_file_name |  | ) |

## ◆ _GL_CXXALIASWARN() [2/6]

_GL_CXXALIASWARN | ( | malloc |  | ) |

## ◆ _GL_CXXALIASWARN() [3/6]

_GL_CXXALIASWARN | ( | realloc |  | ) |

## ◆ _GL_CXXALIASWARN() [4/6]

_GL_CXXALIASWARN | ( | realpath |  | ) |

## ◆ _GL_CXXALIASWARN() [5/6]

_GL_CXXALIASWARN | ( | setenv |  | ) |

## ◆ _GL_CXXALIASWARN() [6/6]

_GL_CXXALIASWARN | ( | unsetenv |  | ) |